#include <boost/signals2.hpp>

#include "media-session.h"

#ifndef __MEDIA_CORE_H__
#define __MEDIA_CORE_H__

namespace Ekiga {

  class MediaCore
  {
  public:

    // FIXME: dummy method because we don't have a call core to start the pump!
    void new_call_trigger ();

    boost::signals2::signal<void(MediaSessionPtr)> session_added;

  private:

    MediaSessionPtr session; // one should be enough?
  };
  typedef boost::shared_ptr<MediaCore> MediaCorePtr;
}
#endif
